Search Gradle plugins

Version 2.21.0 (latest)

Created 22 February 2024.

Compact, constraint-friendly lockfiles for your dependencies

Using the plugins DSL:

plugins {
  id("com.palantir.versions-lock") version "2.21.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("com.palantir.gradle.consistentversions:gradle-consistent-versions:2.21.0")
  }
}

apply(plugin = "com.palantir.versions-lock")

Using the plugins DSL:

plugins {
  id "com.palantir.versions-lock" version "2.21.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "com.palantir.gradle.consistentversions:gradle-consistent-versions:2.21.0"
  }
}

apply plugin: "com.palantir.versions-lock"

Learn how to apply plugins to subprojects